#pragma once

#include <afxwin.h>      //MFC core and standard components
#include "resource.h"    //main symbols
#include "XSleep.h"

#define MAP_COL_OFFSET 22
#define MAP_ROW_OFFSET 22

//GRID 8613

#define G8613xP0 221
#define G8613xP2 G8613xP0 + MAP_ROW_OFFSET
#define G8613xP4 G8613xP2 + MAP_ROW_OFFSET
#define G8613xP6 G8613xP4 + MAP_ROW_OFFSET
#define G8613xP8 G8613xP6 + MAP_ROW_OFFSET
#define G8613yP0 458
#define G8613yP2 G8613yP0 - MAP_COL_OFFSET
#define G8613yP4 G8613yP2 - MAP_COL_OFFSET
#define G8613yP6 G8613yP4 - MAP_COL_OFFSET
#define G8613yP8 G8613yP6 - MAP_COL_OFFSET

//GRIS 8614

#define G8614xP0 328
#define G8614xP2 G8614xP0 + MAP_ROW_OFFSET
#define G8614xP4 G8614xP2 + MAP_ROW_OFFSET
#define G8614xP6 G8614xP4 + MAP_ROW_OFFSET
#define G8614xP8 G8614xP6 + MAP_ROW_OFFSET
#define G8614yP0 458
#define G8614yP2 G8614yP0 - MAP_COL_OFFSET
#define G8614yP4 G8614yP2 - MAP_COL_OFFSET
#define G8614yP6 G8614yP4 - MAP_COL_OFFSET
#define G8614yP8 G8614yP6 - MAP_COL_OFFSET

//GRID 8615

#define G8615xP0 443
#define G8615xP2 G8615xP0 + MAP_ROW_OFFSET
#define G8615xP4 G8615xP2 + MAP_ROW_OFFSET
#define G8615xP6 G8615xP4 + MAP_ROW_OFFSET
#define G8615xP8 G8615xP6 + MAP_ROW_OFFSET
#define G8615yP0 456
#define G8615yP2 G8615yP0 - MAP_COL_OFFSET
#define G8615yP4 G8615yP2 - MAP_COL_OFFSET
#define G8615yP6 G8615yP4 - MAP_COL_OFFSET
#define G8615yP8 G8615yP6 - MAP_COL_OFFSET

//GRID 8616

#define G8616xP0 555
#define G8616xP2 G8616xP0 + MAP_ROW_OFFSET
#define G8616xP4 G8616xP2 + MAP_ROW_OFFSET
#define G8616xP6 G8616xP4 + MAP_ROW_OFFSET
#define G8616xP8 G8616xP6 + MAP_ROW_OFFSET
#define G8616yP0 456
#define G8616yP2 G8616yP0 - MAP_COL_OFFSET
#define G8616yP4 G8616yP2 - MAP_COL_OFFSET
#define G8616yP6 G8616yP4 - MAP_COL_OFFSET
#define G8616yP8 G8616yP6 - MAP_COL_OFFSET

//GRID 8617
#define G8617xP0 665
#define G8617yP0 456
#define G8617yP2 G8617yP0 - MAP_COL_OFFSET
#define G8617yP4 G8617yP2 - MAP_COL_OFFSET
#define G8617yP6 G8617yP4 - MAP_COL_OFFSET
#define G8617yP8 G8617yP6 - MAP_COL_OFFSET

//GRID 8713

#define G8713xP0 221
#define G8713xP2 G8713xP0 + MAP_ROW_OFFSET
#define G8713xP4 G8713xP2 + MAP_ROW_OFFSET
#define G8713xP6 G8713xP4 + MAP_ROW_OFFSET
#define G8713xP8 G8713xP6 + MAP_ROW_OFFSET
#define G8713yP0 343
#define G8713yP2 G8713yP0 - MAP_COL_OFFSET
#define G8713yP4 G8713yP2 - MAP_COL_OFFSET
#define G8713yP6 G8713yP4 - MAP_COL_OFFSET
#define G8713yP8 G8713yP6 - MAP_COL_OFFSET

//GRID 8714

#define G8714xP0 330
#define G8714xP2 G8714xP0 + MAP_ROW_OFFSET
#define G8714xP4 G8714xP2 + MAP_ROW_OFFSET
#define G8714xP6 G8714xP4 + MAP_ROW_OFFSET
#define G8714xP8 G8714xP6 + MAP_ROW_OFFSET
#define G8714yP0 340
#define G8714yP2 G8714yP0 - MAP_COL_OFFSET
#define G8714yP4 G8714yP2 - MAP_COL_OFFSET
#define G8714yP6 G8714yP4 - MAP_COL_OFFSET
#define G8714yP8 G8714yP6 - MAP_COL_OFFSET

//GRID 8715

#define G8715xP0 445
#define G8715xP2 G8715xP0 + MAP_ROW_OFFSET
#define G8715xP4 G8715xP2 + MAP_ROW_OFFSET
#define G8715xP6 G8715xP4 + MAP_ROW_OFFSET
#define G8715xP8 G8715xP6 + MAP_ROW_OFFSET
#define G8715yP0 338
#define G8715yP2 G8715yP0 - MAP_COL_OFFSET
#define G8715yP4 G8715yP2 - MAP_COL_OFFSET
#define G8715yP6 G8715yP4 - MAP_COL_OFFSET
#define G8715yP8 G8715yP6 - MAP_COL_OFFSET

//GRID 8716

#define G8716xP0 555
#define G8716xP2 G8716xP0 + MAP_ROW_OFFSET
#define G8716xP4 G8716xP2 + MAP_ROW_OFFSET
#define G8716xP6 G8716xP4 + MAP_ROW_OFFSET
#define G8716xP8 G8716xP6 + MAP_ROW_OFFSET
#define G8716yP0 338
#define G8716yP2 G8716yP0 - MAP_COL_OFFSET
#define G8716yP4 G8716yP2 - MAP_COL_OFFSET
#define G8716yP6 G8716yP4 - MAP_COL_OFFSET
#define G8716yP8 G8716yP6 - MAP_COL_OFFSET

//GRID 8717

#define G8717xP0 665
#define G8717yP0 338
#define G8717yP2 G8717yP0 - MAP_COL_OFFSET
#define G8717yP4 G8717yP2 - MAP_COL_OFFSET
#define G8717yP6 G8717yP4 - MAP_COL_OFFSET
#define G8717yP8 G8717yP6 - MAP_COL_OFFSET

//GRID 8813

#define G8813xP0 221
#define G8813xP2 G8813xP0 + MAP_ROW_OFFSET
#define G8813xP4 G8813xP2 + MAP_ROW_OFFSET
#define G8813xP6 G8813xP4 + MAP_ROW_OFFSET
#define G8813xP8 G8813xP6 + MAP_ROW_OFFSET
#define G8813yP0 226
#define G8813yP2 G8813yP0 - MAP_COL_OFFSET
#define G8813yP4 G8813yP2 - MAP_COL_OFFSET
#define G8813yP6 G8813yP4 - MAP_COL_OFFSET
#define G8813yP8 G8813yP6 - MAP_COL_OFFSET

//GRID 8814

#define G8814xP0 330
#define G8814xP2 G8814xP0 + MAP_ROW_OFFSET
#define G8814xP4 G8814xP2 + MAP_ROW_OFFSET
#define G8814xP6 G8814xP4 + MAP_ROW_OFFSET
#define G8814xP8 G8814xP6 + MAP_ROW_OFFSET
#define G8814yP0 226
#define G8814yP2 G8814yP0 - MAP_COL_OFFSET
#define G8814yP4 G8814yP2 - MAP_COL_OFFSET
#define G8814yP6 G8814yP4 - MAP_COL_OFFSET
#define G8814yP8 G8814yP6 - MAP_COL_OFFSET

//GRID 8815

#define G8815xP0 445
#define G8815xP2 G8815xP0 + MAP_ROW_OFFSET
#define G8815xP4 G8815xP2 + MAP_ROW_OFFSET
#define G8815xP6 G8815xP4 + MAP_ROW_OFFSET
#define G8815xP8 G8815xP6 + MAP_ROW_OFFSET
#define G8815yP0 226
#define G8815yP2 G8815yP0 - MAP_COL_OFFSET
#define G8815yP4 G8815yP2 - MAP_COL_OFFSET
#define G8815yP6 G8815yP4 - MAP_COL_OFFSET
#define G8815yP8 G8815yP6 - MAP_COL_OFFSET

//GRID 8816

#define G8816xP0 555
#define G8816xP2 G8816xP0 + MAP_ROW_OFFSET
#define G8816xP4 G8816xP2 + MAP_ROW_OFFSET
#define G8816xP6 G8816xP4 + MAP_ROW_OFFSET
#define G8816xP8 G8816xP6 + MAP_ROW_OFFSET
#define G8816yP0 226
#define G8816yP2 G8816yP0 - MAP_COL_OFFSET
#define G8816yP4 G8816yP2 - MAP_COL_OFFSET
#define G8816yP6 G8816yP4 - MAP_COL_OFFSET
#define G8816yP8 G8816yP6 - MAP_COL_OFFSET

//GRID 8816

#define G8817xP0 665
#define G8817yP0 226
#define G8817yP2 G8817yP0 - MAP_COL_OFFSET
#define G8817yP4 G8817yP2 - MAP_COL_OFFSET
#define G8817yP6 G8817yP4 - MAP_COL_OFFSET
#define G8817yP8 G8817yP6 - MAP_COL_OFFSET

//GRID 8913-17

#define G8913xP0 219
#define G8913xP2 G8913xP0 + MAP_ROW_OFFSET
#define G8913xP4 G8913xP2 + MAP_ROW_OFFSET
#define G8913xP6 G8913xP4 + MAP_ROW_OFFSET
#define G8913xP8 G8913xP6 + MAP_ROW_OFFSET
#define G8913yP0 108

#define G8914xP0 333
#define G8914xP2 G8914xP0 + MAP_ROW_OFFSET
#define G8914xP4 G8914xP2 + MAP_ROW_OFFSET
#define G8914xP6 G8914xP4 + MAP_ROW_OFFSET
#define G8914xP8 G8914xP6 + MAP_ROW_OFFSET
#define G8914yP0 108

#define G8915xP0 449
#define G8915xP2 G8915xP0 + MAP_ROW_OFFSET
#define G8915xP4 G8915xP2 + MAP_ROW_OFFSET
#define G8915xP6 G8915xP4 + MAP_ROW_OFFSET
#define G8915xP8 G8915xP6 + MAP_ROW_OFFSET
#define G8915yP0 106

#define G8916xP0 562
#define G8916xP2 G8916xP0 + MAP_ROW_OFFSET
#define G8916xP4 G8916xP2 + MAP_ROW_OFFSET
#define G8916xP6 G8916xP4 + MAP_ROW_OFFSET
#define G8916xP8 G8916xP6 + MAP_ROW_OFFSET
#define G8916yP0 106

#define G8917xP0 G8916xP8 + MAP_ROW_OFFSET - 4
#define G8917yP0 106